/* -*- pftp-c -*- */

#ifndef LIST_VIEW_H
#define LIST_VIEW_H

typedef struct list_view_s *list_view_t;

typedef struct {
    char *filename;
    int directory;
} list_view_file_t;

list_view_t initListView(GtkTreeView *view, GtkLabel *label, 
			 GtkEventBox *label_box, GtkComboBox *dir,
			 const char *color);
void freeListView(list_view_t view);
pftp_server_t getListViewFTP(list_view_t view, int connect);
void setListViewFTP(list_view_t view, const char *ftp_name);
void selectListView(list_view_t view, int select);
const char *getListViewName(list_view_t view);
const char *getListViewLocalPath(list_view_t view);
void setListViewLocalPath(list_view_t view, const char *newpath);
void actionRowListView(list_view_t view, GtkTreePath *path);
size_t selectedListView(list_view_t view, list_view_file_t **item);
void freeSelectedListView(list_view_file_t **item, size_t count);
void updateListViewDir(list_view_t view);
void refreshListView(list_view_t view);
void changeDirectoryListView(list_view_t view);

void lockListViews(void);
void lockListView(list_view_t view);
void unlockListViews(void);
void unlockListView(list_view_t view);

int lockedListView(list_view_t view);

#endif /* LIST_VIEW_H */
