/* -*- pftp-c -*- */

#ifndef LOCAL_MONITOR_H
#define LOCAL_MONITOR_H

#define LM_CREATED 1
#define LM_CHANGED 2
#define LM_DELETED 3

typedef struct local_monitor_s *local_monitor_t;
typedef size_t local_monitor_id_t;
typedef void (* local_monitor_callback_t)(local_monitor_id_t id, 
		  			  unsigned int code, const char *arg,
					  void *param);

#define INVALID_LM_ID (size_t)(-1)

local_monitor_t initLocalMonitor(const char *prgname);
void freeLocalMonitor(local_monitor_t lm);

local_monitor_id_t monitorDirectory(local_monitor_t lm, const char *fullpath,
				  local_monitor_callback_t callback,
				  void *param);

void stopMonitoring(local_monitor_t lm, local_monitor_id_t id);

#endif /* LOCAL_MONITOR_H */
